"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Rule = (function () {
    /**
     * Método constructor
     *
     * @param name nome da regra
     * @param validator função de validação
     * @param label label da regra
     */
    function Rule(name, validator, label) {
        // Seta as propriedades do formulário
        this.name = name;
        this.validator = validator;
        this.label = label;
    }
    /**
     * Verifica se um determinado valor é válido para essa regra
     *
     * @param value
     */
    Rule.prototype.valid = function (value) {
        return this.validator(value);
    };
    return Rule;
}());
exports.default = Rule;
// End of file
//# sourceMappingURL=rule.class.js.map